dpkg-name(1)

NOMBRE
dpkg-name - Renombra paquetes de Debian a nombres completos de paquete

SINOPSIS
dpkg-name [option...] [--] file...

DESCRIPCIÓN

This manual page documents the dpkg-name program which provides an easy way to rename Debian packages into their full package names. A full package name consists of package_version_architecture.package-type as specified in the control file of the package. The version part of the filename consists of the upstream version information optionally followed by a hyphen and the revision information. The package-type part comes from that field if present or fallbacks to deb.

OPCIONES

-a, --no-architecture
    El nombre del fichero de destino no incluirá información sobre la arquitectura.

-k, --symlink
    Crea un enlace simbólico en vez de mover el fichero.

-o, --overwrite
    Los ficheros existentes se sobreescribirán si poseen el mismo nombre que el fichero de destino.

-s, --subdir [directorio]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be `unstable/binary-architecture/section'. If the section is not found in the control, then `no-section' is assumed, and in this case, as well as for sections `non-free' and `contrib' the target directory is `section/binary-architecture'. The section field isn't required so a lot of packages will find their way to the `no-section' area. Use this option with care, it's messy.

-c, --create-dir
    Esta opción se puede usar junto con la opción «-s». Si no se encuentra ningún directorio de destino, se creará automáticamente. Use esta opción con cuidado.

-h, --help
    Muestra el modo de uso y termina.

-v, --version
    Muestra la versión y termina.

EJEMPLOS

dpkg-name bar-foo.deb
    El fichero «bar-foo.deb» se renombrará a «bar-foo_1.0-2_i386.deb» o similar (dependiendo de cual sea la información en la sección de control de «bar-foo.deb»).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -aç
    dpkg-name renombrará todos los ficheros con la extensión «.deb» dentro del directorio «/root/debian» y sus subdirectorios, en caso de ser necesario, a nombres sin información de arquitectura.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    No haga esto. Su archivo se corromperá completamente debido a que una gran cantidad de paquetes no incluyen una sección de información. No haga esto.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Puede utilizar esto al construir paquetes nuevos.

FALLOS
Some packages don't follow the name structure package_version_architecture.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect(1)/dpkg(1), but other installation tools might depend on this naming structure.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTOR
Copyright © 1995,1996 Erick Branderhorst

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.